vigra - SIFImportInfo Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SIFImportInfo Class Reference Import of Images from Andor Cameras |

Extracts image properties from an Andor SIF file header. More...

`#include <vigra/sifImport.hxx>`

## Public Member Functions
const char * | getFileName () const
std::ptrdiff_t | getOffset () const
int | height () const
MultiArrayIndex | numDimensions () const
ArrayVector< size_t > const & | shape () const
MultiArrayIndex | shapeOfDimension (const int dim) const
| SIFImportInfo (const char *filename)
int | stacksize () const
int | width () const

## Friends
std::ostream & | operator<< (std::ostream &os, const SIFImportInfo &info)

## Detailed Description

Extracts image properties from an Andor SIF file header.

See readSIF() for a usage example. This object must be used to read the image header of an Andor SIF file and enquire its properties.

#include <vigra/sifImport.hxx>
Namespace: vigra

## Constructor & Destructor Documentation

SIFImportInfo | ( | const char * | filename) |  |

Construct SIFImportInfo object.

The header of the Andor SIF file filename is accessed to read the image properties.

SIFImportInfo info(filename);

## Member Function Documentation

int width | ( | ) |  | const

Get the width in pixels.

int height | ( | ) |  | const

Get the height in pixels.

int stacksize | ( | ) |  | const

Get the stacksize, that is the number of images contained in the dataset.

MultiArrayIndex numDimensions | ( | ) |  | const

Get the number of dimensions of the dataset represented by this info object.

ArrayVector<size_t> const& shape | ( | ) |  | const

Get the shape of the dataset represented by this info object.

MultiArrayIndex shapeOfDimension | ( | const int | dim) |  | const

Get the shape (length) of the dataset along dimension dim.

std::ptrdiff_t getOffset | ( | ) |  | const

Get the offset to the beginning of the actual data. Everything before this point belongs to the variable length header.

const char* getFileName | ( | ) |  | const

Get the filename of this SIF object.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const SIFImportInfo & | info
| ) |  |
| friend

    Output all information such as shutter, Temperature etc.

as human readable output.

Usage:

#include <vigra/sifImport.hxx>
Namespace: vigra

SIFImportInfo info(filename);
std::cout << info << std::endl; // print infos to the console

The documentation for this class was generated from the following file:

- vigra/sifImport.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0 (Thu Jan 8 2015)